Closed Bug 1422455 Opened 4 years ago Closed 3 years ago

Categories

(Core :: Graphics: WebRender, defect, P1)

x86_64
Linux
defect

Tracking

()

RESOLVED INCOMPLETE
Tracking Status
firefox-esr52 --- unaffected
firefox57 --- unaffected
firefox58 --- unaffected
firefox59 --- unaffected

People

(Reporter: jan, Unassigned)

References

(Blocks 1 open bug, )

Details

(Keywords: nightly-community, regression, Whiteboard: [wr-reserve])

Attachments

(1 file)

Attached video 2017-12-02_03-12-31.mp4
Spinoff from bug 1421611 about a regression.

Video: before=on the top left, after=on the right.

https://codepen.io/thebabydino/full/LRZvdN/

mozregression --good 2017-10-17 --bad 2017-11-29 --pref "layers.acceleration.force-enabled:true" "gfx.webrender.enabled:true" "gfx.webrendest.enabled:true" "gfx.webrender.layers-free:true" "gfx.webrender.blob-images:true" "image.mem.shared:true"
> 14:44.32 INFO: Last good revision: f7b7bdd7b05c992b4fb435a26a6278829063748b
> 14:44.32 INFO: First bad revision: b7bc562d77f1f987b623c11cd6e6713f7be2c846
> 14:44.32 INFO: Pushlog:
> https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=f7b7bdd7b05c992b4fb435a26a6278829063748b&tochange=b7bc562d77f1f987b623c11cd6e6713f7be2c846

> b7bc562d77f1	Kartikaya Gupta — Bug 1419440 - Update for API change in WR PR 2082. r=mstange
> 85a4275ed544	Dzmitry Malyshau — Bug 1419440 - Update for API changes in WR PR 2050. r=kats
> 4bd54453fd2e	Kartikaya Gupta — Bug 1419440 - Update webrender to commit b7b07562fda338fcb2faff66ce01aafb6235fbcf. r=mstange

There are other regressions blocking bug 1419440. The performance was bad already before. So I think bug 1421611 may be about improving performance.
Has Regression Range: --- → yes
Has STR: --- → yes
Whiteboard: [wr-mvp] [triage] → [wr-reserve]
This looks like the same problem as bug 1420748 and friends.
The URL doesn't seem to work any more.
Status: NEW → RESOLVED
Closed: 3 years ago
Depends on: 1426116
Resolution: --- → INCOMPLETE
Whoops, inadvertent flag changes there.
No longer depends on: 1426116
You need to log in before you can comment on or make changes to this bug.